import { jsx } from "react/jsx-runtime";
import { TokenGAS as TokenGAS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGAS = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GAS", "data-name": "TokenGAS", ...props, children: /* @__PURE__ */ jsx(TokenGAS$1, { variant }) });
  }
);
TokenGAS.displayName = "TokenGAS";
Object.assign(TokenGAS, { isGdsIcon: true });
export {
  TokenGAS
};
